Package com.pixelmed.network

## Class CStoreRequestCommandMessage

- java.lang.Object
- - com.pixelmed.network.CStoreRequestCommandMessage

-     public class CStoreRequestCommandMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CStoreRequestCommandMessage​(AttributeList list)` |
    `CStoreRequestCommandMessage​(java.lang.String affectedSOPClassUID, java.lang.String affectedSOPInstanceUID)` |
    `CStoreRequestCommandMessage​(java.lang.String affectedSOPClassUID, java.lang.String affectedSOPInstanceUID, java.lang.String moveOriginatorApplicationEntityTitle, int moveOriginatorMessageID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAffectedSOPClassUID()` |
    `java.lang.String` | `getAffectedSOPInstanceUID()` |
    `byte[]` | `getBytes()` |
    `int` | `getCommandField()` |
    `int` | `getGroupLength()` |
    `int` | `getMessageID()` |
    `java.lang.String` | `getmoveOriginatorApplicationEntityTitle()` |
    `int` | `getMoveOriginatorMessageID()` |
    `int` | `getNextAvailableMessageID()` | Get a new message ID.
    `int` | `getPriority()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CStoreRequestCommandMessage

          public CStoreRequestCommandMessage​(AttributeList list)
                                      throws DicomException,
                                             java.io.IOException

      Parameters:
        `list` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### CStoreRequestCommandMessage

          public CStoreRequestCommandMessage​(java.lang.String affectedSOPClassUID,
                                             java.lang.String affectedSOPInstanceUID)
                                      throws DicomException,
                                             java.io.IOException

      Parameters:
        `affectedSOPClassUID` -
        `affectedSOPInstanceUID` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### CStoreRequestCommandMessage

          public CStoreRequestCommandMessage​(java.lang.String affectedSOPClassUID,
                                             java.lang.String affectedSOPInstanceUID,
                                             java.lang.String moveOriginatorApplicationEntityTitle,
                                             int moveOriginatorMessageID)
                                      throws DicomException,
                                             java.io.IOException

      Parameters:
        `affectedSOPClassUID` -
        `affectedSOPInstanceUID` -
        `moveOriginatorApplicationEntityTitle` - the AET of the C-MOVE that originated this C-STORE, or null if none
        `moveOriginatorMessageID` - the MessageID of the C-MOVE that originated this C-STORE, or -1 if none
      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### getGroupLength

          public int getGroupLength()

    - #### getAffectedSOPClassUID

          public java.lang.String getAffectedSOPClassUID()

    - #### getCommandField

          public int getCommandField()

    - #### getMessageID

          public int getMessageID()

    - #### getPriority

          public int getPriority()

    - #### getAffectedSOPInstanceUID

          public java.lang.String getAffectedSOPInstanceUID()

    - #### getmoveOriginatorApplicationEntityTitle

          public java.lang.String getmoveOriginatorApplicationEntityTitle()

    - #### getMoveOriginatorMessageID

          public int getMoveOriginatorMessageID()

    - #### getBytes

          public byte[] getBytes()

    - #### getNextAvailableMessageID

          public final int getNextAvailableMessageID()

      Get a new message ID.

      Implemented as a simple counter on scope of JVM invocation, and will eventually wrapp around.

      Returns:
        a new unused integer message ID